REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single Survey record by its Id.
{ "BusinessId": 123, "BusinessName": "<string>", "Name": "<string>", "Description": "<string>", "Active": true, "NextDeliveryDate": "<string>", "DeliveryRate": 123, "DeliveryFrequency": 123, "DeliveryRateMaximum": 123, "DeliveryFrequencyMaximum": 123, "StartDate": "<string>", "ScheduledJobId": "<string>", "OnlyForContacts": true, "OnlyForMembers": true, "Tariffs": [ 123 ], "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
Survey-Read
curl -X GET \ "https://spaces.nexudus.com/api/content/surveys/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "BusinessName": null, "Name": "", "Description": "", "Active": false, "NextDeliveryDate": "2025-01-15T10:30:00Z", "DeliveryRate": 0, "DeliveryFrequency": 0, "DeliveryRateMaximum": 0, "DeliveryFrequencyMaximum": 0, "StartDate": null, "ScheduledJobId": null, "OnlyForContacts": false, "OnlyForMembers": false, "Tariffs": [], "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "Survey Example", "LocalizationDetails": null, "CustomFields": null }